import {
  ClassType,
} from '@loafer/core/constants/types';

import AnnotationConfigApplicationContext from '@loafer/context/annotation/AnnotationConfigApplicationContext';

import ApplicationStater from '@loafer/application/ApplicationStater';

class Application {
  // private appContext: AppContext;
  private appClass: ClassType;
  // private appInstance: ApplicationStater;

  public constructor(clazz: ClassType) {
    this.appClass = clazz;
  }

  public run(): void {
    let context: AnnotationConfigApplicationContext = new AnnotationConfigApplicationContext();
    context.register(AppConfig.prototype);
    context.refresh();

    context.getPouch('entitlement');
  }

  public static run(clazz: ClassType): void {
    new Application(clazz).run();
  }
}

export class AppConfig {

}

export default Application;
