import {
  PropertyType,
} from '@loafer/core/constants/types';

export interface AliasRegistry {
	registerAlias(name: PropertyType, alias: PropertyType): void;
	removeAlias(alias: PropertyType): void;
	isAlias(name: PropertyType): boolean;
	getAliases(name: PropertyType): PropertyType[];
}

export default AliasRegistry;
