import {
  ClassType,
  PropertyType,
} from '@loafer/core/constants/types';

import {
  PouchScope,
} from '@loafer/pouches/constants/types';

interface PouchDefinition {
  readonly Clazz: ClassType;
  Scope: PouchScope;
  Qualifier: PropertyType;
  readonly PostConstruct: Set<string>;
  readonly PreDestroy: Set<string>;
  addPostConstruct(postConstruct: string): void;
  addPreDestroy(preDestroy: string): void;
  isSingleton(): boolean;
  isTransient(): boolean;
}

export default PouchDefinition;
