import {
  ClassType,
} from '@loafer/core/constants/types';

import AnnotatedElement from './AnnotatedElement';
import Constructor from './Constructor';


export class Parameter extends AnnotatedElement {
  private _type: ClassType;
  private _index: number;

  public constructor(type: ClassType, index: number) {
    super();
    this._type = type;
    this._index = index;
  }

  public get Type(): ClassType {
    return this._type;
  }

  public get Index(): number {
    return this._index;
  }

}

export default Parameter;
