import {
  PropertyType,
} from '@loafer/core/constants/types';

import {
  Decorator,
} from '@loafer/core/decorator';

import Annotation from '@loafer/core/annotation/Annotation';

export class PostConstructAnnotation extends Annotation {
  public onMethodDecorator = <T>(target: Object, propertyKey: PropertyType,
                                 descriptor: TypedPropertyDescriptor<T>): TypedPropertyDescriptor<T> | void => {
    console.log('PostConstruct');
  }
}

export const PostConstruct = Decorator.create(PostConstructAnnotation);

export default PostConstruct;
