import {
  PropertyType,
} from '@loafer/core/constants/types';

import {
  Decorator,
 } from '@loafer/core/decorator';

import Annotation from '@loafer/core/annotation/Annotation';

export class ScopeAnnotation extends Annotation {
  private readonly Qualifier: PropertyType;

  public constructor(qualifier?: PropertyType) {
    super();
    this.Qualifier = qualifier;
  }
  public onClassDecorator = <TFunction extends Function>(target: TFunction): TFunction | void => {
    console.log('Scope');
  }

}

export const Scope = Decorator.create(ScopeAnnotation);

export default Scope;
